import requests
import math
from Utils.HikAccessToken import hik_access_token

def is_token(response,client_id,client_secret):
    if response["code"] == 401:
        hik_accesstoken = hik_access_token(client_id,client_secret)
        return hik_accesstoken


def resp(hik_accesstoken,pageNo,person_dict):
    response = requests.get(
        url="https://api2.hik-cloud.com/api/v1/open/basic/persons/list?access_token=%s&pageNo=%s&pageSize=999" %(hik_accesstoken,pageNo)
    )
    response = response.json()
    totalsize = response["data"]["total"]
    persons = response["data"]["rows"]
    for person in persons:
        personId = person["employeeNo"]
        personName = person["personName"]
        person_dict[personId] = personName
    return totalsize,person_dict

def hik_getuserlist(hik_accesstoken):
    person_dict = {}
    pageNo = 1
    totalsize,person_dict = resp(hik_accesstoken,pageNo,person_dict)


    page = math.ceil(int(totalsize)/999)
    while pageNo < page:
        pageNo = pageNo +1
        resp(hik_accesstoken, pageNo, person_dict)
    # print(person_dict)
    return person_dict

# if __name__ == '__main__':
#     with open("config.json") as f:
#         data = json.load(f)
#         client_id = data["client_id"]
#         client_secret = data["client_secret"]
#         groupId = data["groupId"]
#     hik_accesstoken = hik_access_token(client_id, client_secret)
#     aa = hik_getuserlist(hik_accesstoken)
#     print(aa)